GET api/sizeapi/sizesbycustomer/{customerId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| customerId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of SizeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| active | boolean |
Required |
|
| bag_position | integer |
None. |
|
| code | string |
Required |
|
| customer_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"bag_position": 1,
"code": "sample string 2",
"customer_id": "3fcddb22-1f93-4f17-947c-1b41b66103c5",
"id": "dc67fc03-08c7-4de4-b56f-95d95f532b13"
},
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"bag_position": 1,
"code": "sample string 2",
"customer_id": "3fcddb22-1f93-4f17-947c-1b41b66103c5",
"id": "dc67fc03-08c7-4de4-b56f-95d95f532b13"
}
]
application/xml, text/xml
Sample:
<ArrayOfsize xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<size>
<active>true</active>
<bag_position>1</bag_position>
<code>sample string 2</code>
<customer_id>3fcddb22-1f93-4f17-947c-1b41b66103c5</customer_id>
<id>dc67fc03-08c7-4de4-b56f-95d95f532b13</id>
<descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 1</d3p1:Key>
<d3p1:Value>sample string 2</d3p1:Value>
</d3p1:KeyValueOfstringstring>
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 3</d3p1:Key>
<d3p1:Value>sample string 4</d3p1:Value>
</d3p1:KeyValueOfstringstring>
</descriptions>
</size>
<size>
<active>true</active>
<bag_position>1</bag_position>
<code>sample string 2</code>
<customer_id>3fcddb22-1f93-4f17-947c-1b41b66103c5</customer_id>
<id>dc67fc03-08c7-4de4-b56f-95d95f532b13</id>
<descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 1</d3p1:Key>
<d3p1:Value>sample string 2</d3p1:Value>
</d3p1:KeyValueOfstringstring>
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 3</d3p1:Key>
<d3p1:Value>sample string 4</d3p1:Value>
</d3p1:KeyValueOfstringstring>
</descriptions>
</size>
</ArrayOfsize>